<!DOCTYPE html>
<html lang="no" prefix="og: http://ogp.me/ns#">
<head>
  {%include "../../includes/head_common.inc"%}
  {%include "../../includes/head_page.inc"%}
  <!-- DataTables CSS -->
  <link rel="stylesheet" type="text/css" href="//cdn.datatables.net/1.10.16/css/jquery.dataTables.css">
  <!-- DataTables -->
  <script type="text/javascript" charset="utf8" src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.js"></script>
</head>
<body>
  {%include "../../includes/sidebar.inc"%}
  <div class="pusher">
    {%include "../../includes/static_sidebar_left.inc"%}
    <div class="ui segment">
      <div class="main-content-wrapper">
        {%include "../../includes/header.inc"%}

        <div class="main-content">
          <div class="ui grid">  
            <div class="ui sixteen wide column">
              <div class="responsive-width">
                <h1>Arkiv - siste 500 registrerte</h1>
                <p>Siste registrerte objekt sortert på dato og katalogisator. Bra jobba folkens!</p>
                <div id="datatable-latest"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script type="text/javascript">
  var dataSet = [{% for row in models.main %}{%if !forloop.last%},{%endif%}['{{ forloop.counter }}', '{{row.name.value}}', '{{row.identifier.value}}', '{{row.available.value}}', '{{row.show.value}}', '<a href="{{row.uri.value}}">{{row.label.value}}</a>']
  {%endfor%}
  ];

  $(document).ready(function() {
    $('#datatable-latest').html( '<table cellpadding="0" cellspacing="0" border="0" class="display" id="example"></table>' );

    $('#example').dataTable( {
      "data": dataSet,
      "columns": [
      { "title": "#", "width":"5%" },
      { "title": "Katalogisator" },
      { "title": "Signatur" },
      { "title": "Dato", "class": "center" },
      { "title": "Publisert?" },
      { "title": "URL", "class": "center" }
      ],
      "order": [ 3, 'desc' ],
      "pageLength": 20,
      language: {
        search: "Søk:",
        sInfo:         "Viser _START_ til _END_ av _TOTAL_ linjer",
        sInfoEmpty:    "Viser 0 til 0 av 0 linjer",
        sLengthMenu:   "Vis _MENU_ linjer",
        paginate: {
          first:      "Første side",
          previous:   "Forrige",
          next:       "Neste",
          last:       "Siste side"
        } 
      }})} );
  </script>
  {%include "../../includes/footer.inc"%}
</body>
</html>
